## org.jfree.chart.imagemap
Interface ToolTipTagFragmentGenerator

All Known Implementing Classes:
  DynamicDriveToolTipTagFragmentGenerator, OverLIBToolTipTagFragmentGenerator, StandardToolTipTagFragmentGenerator

    public interface ToolTipTagFragmentGenerator

Interface for generating the tooltip fragment of an HTML image map area tag. The fragment should be `XHTML 1.0` compliant.

Author:
  Richard Atkinson

Method Summary
`java.lang.String` `generateToolTipFragment(java.lang.String toolTipText)` Generates a tooltip string to go in an HTML image map.

Method Detail

### generateToolTipFragment

    java.lang.String generateToolTipFragment(java.lang.String toolTipText)

  Generates a tooltip string to go in an HTML image map. To allow for varying standards compliance among browsers, this method is expected to return an 'alt' attribute IN ADDITION TO whatever it does to create the tooltip (often a 'title' attribute).

  Parameters:
    `toolTipText` - the tooltip.
  Returns:
    The formatted HTML area tag attribute(s).